textures/jk_tourney2/jkt2_sky
//used in jk_tourney2

{
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky

	q3map_sun	.9 .6 .6 100 260 50
	q3map_surfacelight 120

	qer_editorimage textures/jk_tourney2/jkt2_sky.tga

	skyparms - 512 -
	//cloudparms 512 full
	{
		map textures/jk_tourney2/jkt2_bluedimclouds.tga
		tcMod scale 3 2
		tcMod scroll 0.15 0.15
		depthWrite
	}
	{
		map textures/jk_tourney2/jkt2_topclouds.tga
		blendFunc GL_ONE GL_ONE
		tcMod scale 3 3
		tcMod scroll 0.05 0.05
	}
}



textures/jk_tourney2/jkt2_redsky_dark
// test sky for jk_tourney2 * original tim_dm14red
{
	qer_editorimage textures/jk_tourney2/jkt2_stars_red.tga
	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm sky
     
	q3map_sun .9 .7 .6 85 295 40
        
        //q3map_sun .9 .7 .6 70 314 60

	//q3map_sun 1 .37 .19 70 30 70
	q3map_surfacelight 140
	skyparms - 512 -

	{
		map textures/jk_tourney2/jkt2_killsky_1.tga
		tcMod scroll 0.05 .1
		tcMod scale 2 2
		depthWrite
	}
	{
		map textures/jk_tourney2/jkt2_killsky_2.tga
		blendfunc GL_ONE GL_ONE
		tcMod scroll 0.05 0.06
		tcMod scale 3 2
	}
}




textures/jk_tourney2/jkt2_flame1
// flames in courtyard for jk_tourney2
{

	//	*************************************************
	//	*      	Yellow Flame 				*
	//	*      	Mar 26 2000  Surface Light 3500 	*	
	//	*	Please Comment Changes			*
	//	*************************************************
	
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm trans
	cull none
	q3map_surfacelight 3500
	

	{
		animMap 10 textures/sfx/flame1.tga textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga                         textures/sfx/flame7.tga textures/sfx/flame8.tga
                //animMap 10 textures/jk_tourney2/jkt2_flame1.tga textures/jk_tourney2/jkt2_flame2.tga textures/jk_tourney2/jkt2_flame3.tga textures/jk_tourney2/jkt2_flame4.tga                          //           textures/jk_tourney2/jkt2_flame5.tga textures/jk_tourney2/jkt2_flame6.tga textures/jk_tourney2/jkt2_flame7.tga textures/jk_tourney2/jkt2_flame8.tga

		blendFunc GL_ONE GL_ONE
		rgbGen wave inverseSawtooth 0 1 0 10
		
	}	
	{
		animMap 10 textures/sfx/flame1.tga textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga                            textures/sfx/flame7.tga textures/sfx/flame8.tga
                //animMap 10 textures/jk_tourney2/jkt2_flame1.tga textures/jk_tourney2/jkt2_flame2.tga textures/jk_tourney2/jkt2_flame3.tga textures/jk_tourney2/jkt2_flame4.tga                          //           textures/jk_tourney2/jkt2_flame5.tga textures/jk_tourney2/jkt2_flame6.tga textures/jk_tourney2/jkt2_flame7.tga textures/jk_tourney2/jkt2_flame8.tga

		blendFunc GL_ONE GL_ONE
		rgbGen wave sawtooth 0 1 0 10
	}	


	{
		map textures/sfx/flameball.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin .6 .2 0 .6	
	}

}




textures/jk_tourney2/jkt2_flame1_100
// flames in foyer for jk_tourney2
{

	//	*************************************************
	//	*      	Yellow Flame 				*
	//	*      	Mar 26 2000  Surface Light 350  	*	
	//	*	Please Comment Changes			*
	//	*************************************************
	
	qer_editorimage textures/sfx/flame1.tga
        surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm trans
	cull none
	q3map_surfacelight 350
	

	{
		animMap 10 textures/sfx/flame1.tga textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga                         textures/sfx/flame7.tga textures/sfx/flame8.tga
                //animMap 10 textures/jk_tourney2/jkt2_flame1.tga textures/jk_tourney2/jkt2_flame2.tga textures/jk_tourney2/jkt2_flame3.tga textures/jk_tourney2/jkt2_flame4.tga                          //           textures/jk_tourney2/jkt2_flame5.tga textures/jk_tourney2/jkt2_flame6.tga textures/jk_tourney2/jkt2_flame7.tga textures/jk_tourney2/jkt2_flame8.tga

		blendFunc GL_ONE GL_ONE
		rgbGen wave inverseSawtooth 0 1 0 10
		
	}	
	{
		animMap 10 textures/sfx/flame1.tga textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga                            textures/sfx/flame7.tga textures/sfx/flame8.tga
                //animMap 10 textures/jk_tourney2/jkt2_flame1.tga textures/jk_tourney2/jkt2_flame2.tga textures/jk_tourney2/jkt2_flame3.tga textures/jk_tourney2/jkt2_flame4.tga                          //           textures/jk_tourney2/jkt2_flame5.tga textures/jk_tourney2/jkt2_flame6.tga textures/jk_tourney2/jkt2_flame7.tga textures/jk_tourney2/jkt2_flame8.tga

		blendFunc GL_ONE GL_ONE
		rgbGen wave sawtooth 0 1 0 10
	}	


	{
		map textures/sfx/flameball.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin .6 .2 0 .6	
	}

}


textures/jk_tourney2/jkt2_q3redflag
{
     cull disable
     surfaceparm alphashadow
     surfaceparm trans	
     surfaceparm nomarks
     tessSize 64
     deformVertexes wave 30 sin 0 3 0 .2
     deformVertexes wave 100 sin 0 3 0 .7
     
        {
                map textures/jk_tourney2/jkt2_q3redflag.tga
                alphaFunc GE128
		depthWrite
		rgbGen vertex
        }
        {
		map $lightmap
		rgbGen identity
		blendFunc filter
		depthFunc equal
	}


}


textures/jk_tourney2/jkt2_blocks18b_ctr2trn
{

        {
		map textures/jk_tourney2/jkt2_fireswirl2.tga
                tcmod rotate 333
                tcMod stretch sin .8 0.2 0 9.7
	        rgbGen identity
	}
        {
	        map textures/jk_tourney2/jkt2_blocks18b_ctr2trn.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
                tcmod rotate 30
                tcMod stretch sin .8 0.2 0 .2
	        rgbGen identity
	}
        {
	        map textures/jk_tourney2/jkt2_blocks18b_ctr2trn.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	        rgbGen identity
	}
        {
		map $lightmap
                blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/jk_tourney2/azr_demonkillblock_2
{

        {
		map textures/sfx/firegorre.tga
            tcmod scroll 0 1
            tcMod turb 0 .25 0 1.6
            tcmod scale 4 4
            blendFunc GL_ONE GL_ZERO
            rgbGen identity
	  }
	  {
	      map textures/jk_tourney2/azr_demonkillblock_2.tga
	      blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	      rgbGen identity
	  }
        {
		map $lightmap
            blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	  }
}


textures/jk_tourney2/jkt2_tjuncblack
{
     
     qer_editorimage textures/jk_tourney2/jkt2_tjuncblack.tga 
     surfaceparm nonsolid
     surfaceparm nolightmap
     
    {
    
         map textures/jk_tourney2/jkt2_tjuncblack.tga    
    
    }

}




